Questions tagged [packer]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
0 answers
93 views

Startup error on neovim 'has_package' attempts to call a nil value

I am trying to use these configurations for neovim, but every time I start the editor I get: Error detected while processing /home/user/.config/nvim/init.lua: E5113: Error while calling lua chunk: ......
user49611's user avatar
0 votes
0 answers
234 views

packer error "module 'packer.luarocks' not found:"

I am trying to install packer.nvim to my NvChad configuration. I installed packer using git clone https://github.com/wbthomason/packer.nvim "$env:LOCALAPPDATA\nvim-data\site\pack\packer\start\...
ori raisfeld's user avatar
0 votes
1 answer
200 views

Error in coroutine while installing nvim-lua.planary.nvim with nvim 0.9.1

I'm trying to setup my nvim environment following this video. I tried to install Telescope and got this error. I'm installing this on wsl2, nvim version 0.9.1 [packer.nvim] [ERROR 18:23:00] async.lua:...
Minh Mốc's user avatar
0 votes
0 answers
154 views

Packer or config structure problem

I'm trying to port my nvim configuration to another desktop, but I can't seem to figure out how to make packer work. I enter nvim and I don't see any errors regarding packer at startup, just about ...
enrico223's user avatar
0 votes
1 answer
109 views

Packer not installing Hop.nvim

I am trying to install hop.nvim using packer. I have about 35 other plugins installed without any issues. For some reason, I can't install hop.nvim. The other plugins install fine if I use :...
ThomasDKim's user avatar
0 votes
1 answer
1k views

Unable to install luasnip

After installing luasnip I encountered this error: Even though cmp is already installed Plugins.lua use({ "onsails/lspkind-nvim", event = "VimEnter" }) use({ "L3MON4D3/...
Rohith Nambiar's user avatar
0 votes
0 answers
3k views

Error trying to install packer in neovim

Inspired by this video by The Primeagen, I'm trying to install packer.nvim by following the instructions on its github page. I did this: git clone --depth 1 https://github.com/wbthomason/packer.nvim\ ...
MDeBusk's user avatar
  • 394
0 votes
0 answers
143 views

Why doesn't `packadd` work with packer?

Say you have a bunch of packages installed with packer. I inspected the file structure and it seems to me they are in the format of native Vim packages. Great news! That means we should be able to: ...
Dominik Teiml's user avatar
1 vote
0 answers
316 views

Help setting up init.lua in Neovim, I'm a new user and don't understand the structure for plugins

First of all, I'm not a programmer, but a musician. I just happen to (kind of) know how to use the terminal, and I use a music notation/engraving program called LilyPond that works in the terminal. ...
Kai Vinter's user avatar
0 votes
0 answers
1k views

I am currently configuring my Neovim setup, but I am only get it to work as a root user

Basically, I am creating a .config/nvim for Neovim on my M1 Macbook Pro (Monterey 12.6), and I using the iTerm2 terminal emulator. I am having to create the entire configuration as a root user because ...
anonymous017's user avatar
5 votes
1 answer
8k views

Add a custom plugin to AstroNvim

How to add a custom plugin to the astronvim distribution? astronvim uses the Packer plugin manager, but I cannot find the default syntax for Packer which looks like this: return require('packer')....
hmaier's user avatar
  • 113
1 vote
1 answer
1k views

packer.nvim: Error running config for <PACKAGE>: attempt to call a nil value

When I start neovim, I'm now getting a lot of errors like this, packer.nvim: Error running config for hop.nvim: attempt to call a nil value packer.nvim: Error running config for nvim-lspconfig: ...
Evan Carroll's user avatar
  • 1,244
0 votes
0 answers
2k views

Why is :packadd failing in this case?

I am trying to reinstall neovim so that all the files are in the config directory of .config/nvim. In my config file which is required by /home/shadrock/.config/nvim/init.lua. The commented local ...
shadrock's user avatar
3 votes
1 answer
2k views

How can I remove vim-plug, so I can migrate to Packer?

I upgraded to neovim, and I want to remove vim-plug. It randomly changes my style settings (literally turns on syntax on for no reason other than the author's preference), and it's not as nice as ...
Evan Carroll's user avatar
  • 1,244
0 votes
0 answers
231 views

Lua syntax errors when using `Packer` plugin manger with `config=require()` in Neovim

I'm using neovim 0.6.0 and my config is written in Lua. My init.lua file requires files such as mappings and plugins. I use packer to manage plugins, and when calling the packer use command I can pass ...
john's user avatar
  • 183